# Interface FieldInfoJson

Defines how a field in the dataset participates (or does not participate) in a pop-up window.

See https://developers.arcgis.com/web-map-specification/objects/fieldInfo/ https://developers.arcgis.com/web-scene-specification/objects/fieldInfo/.

interface FieldInfoJson {
fieldName: string;
format?: FormatJson;
isEditable?: boolean;
label?: string;
stringFieldOption?: "textbox" | "textarea" | "richtext";
tooltip?: string;
visible?: boolean;
}

#####
Index

### Properties

fieldName
format?
isEditable?
label?
stringFieldOption?
tooltip?
visible?

##
Properties

### fieldName

fieldName: string

The field name as defined by the service.

### `Optional` format

format?: FormatJson

A format object used with numerical or date fields to provide more detail about how the value should be displayed in a web map pop-up window.

### `Optional` isEditable

isEditable?: boolean

Determines whether users can edit this field.

### `Optional` label

label?: string

The field alias. This can be overridden by the web map author.

### `Optional` stringFieldOption

stringFieldOption?: "textbox" | "textarea" | "richtext"

The type of input box editors will see when editing the field. Applies only to string fields.

### `Optional` tooltip

tooltip?: string

Provides an editing hint for editors of the field. This string could provide a short description of the field and how editors should format or supply its value.

### `Optional` visible

visible?: boolean

Determines whether the field is visible in the pop-up window.